%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-fiat
Version:        1.0.0
Release:        1%{?dist}
Summary:        Generation of arbitrary order instances of the Lagrange elements

Group:          Applications/Engineering
License:        LGPLv2+
URL:            http://www.fenicsproject.org
Source0:        http://launchpad.net/fiat/1.0.x/%{version}/+download/fiat-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       numpy

%description
The FInite element Automatic Tabulator FIAT supports generation of
arbitrary order instances of the Lagrange elements on lines, triangles,
and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-
type quadrature rules on the same element shapes. Upcoming versions
will also support Hermite and nonconforming elements as well as H(div)
and H(curl) elements such as Raviart-Thomas and Nedelec are supported
on triangles and tetrahedra.  


%prep
%setup -q -n fiat-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README doc/
%{python_sitelib}/FIAT/
%{python_sitelib}/*.egg-info


%changelog
* Sat Feb 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0.-1
- Updated to new upstream 1.0.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.9-1
- Updated URL and description
- Updated to new upstream version 0.9.9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.2-1
- Updated to new upstream version 0.9.2
- Updated source url

* Tue Feb 23 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Changed source URL
- Added docs
- Updated to new upsteram version 0.9.1

* Sun Dec 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Updated to new upsteram version 0.3.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-2
- Fixied license tag -> LGPLv2+

* Sat Jan 30 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-1
- Initial package for Fedora
